/* $Id: ferror.c,v 1.3 2005/02/14 11:12:15 matthew Exp $
 *
 * mcdp - command line CD playing
 * Copyright (C) 2003 Matthew Vernon <matthew@gnu.org>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Log: ferror.c,v $
 * Revision 1.3  2005/02/14 11:12:15  matthew
 * include stdlib.h for exit
 *
 * Revision 1.2  2003/04/04 14:44:05  matthew
 * Add copyright notice and CVS variables
 *
 *
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>

#include "ferror.h"

void f_error(const char *message, const char *file, const int line, const int use_errno)
{
  fprintf(stderr,"Fatal error at %s:%d: %s",file,line,message);
  if(use_errno)
    fprintf(stderr," (%s)\n",strerror(errno));
  else
    fprintf(stderr,"\n");
  exit(1);
}
