/* $Id: libmcdp.h,v 1.23 2005/05/15 15:46:40 matthew Exp $
 *
 * mcdp - command line CD playing
 * Copyright (C) 2003 Matthew Vernon <matthew@gnu.org>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef __LIBMCDP_H__
#define __LIBMCDP_H__

typedef enum{
  CDROM_FIRST_TRACK,
    CDROM_LAST_TRACK,
    } cdrom_firstlast_t;

typedef enum{
      CDROM_TRACKIS_AUDIO,
	CDROM_TRACKIS_DATA,
	} cdrom_tracktype_t;

typedef enum{
	  CDROM_RELATIVE,
	    CDROM_ABSOLUTE,
	    } cdrom_addr_t;

struct discinfo{
  char *title;
  char **tracks;
  int  ntracks;
};


unsigned char cd_end_track (const int drive, const cdrom_firstlast_t which);
/*Deprecated - just use cd_play_tracks */
unsigned char cd_play_disc (int drive, const unsigned char start);
unsigned char cd_play_tracks(const int drive, const unsigned char first, const unsigned char last);
void cd_stop_drive(const int drive);
void cd_load_drive(const int drive);
void cd_eject_drive(const int drive);
void cd_next_track(const int drive);
void cd_prev_track(const int drive);
void cd_pause_drive(const int drive);
int cd_open_device(const char *path);
void cd_close_device(const int drive);
int cd_audio_status(const int drive);
unsigned char cd_current_track(const int drive);
int cd_seconds_track_length(const int drive, unsigned char track);
unsigned int cd_seconds_address(const int drive, const cdrom_addr_t type);
void cd_info_drive(const int drive);
void cd_dir_drive(const int drive);
void cd_capable_drive(const int drive, const char *path);
void cd_multiple_tracks(const int drive,int **lt,int len,const int loop,
			const int rndm);
void cd_discid(const int drive);
unsigned char cd_output_query(const int drive);
void cd_lookup_disc(const int drive);


struct discinfo *cd_get_discinfo(const int drive);
unsigned long cd_freedb_discid(const int drive);
#endif /*__LIBMCDP_H__*/
